Freeciv-3.3: universals_u Union Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
universals_u Union Reference

`#include <fc_types.h>`

## Data Fields

struct advance * | advance
struct counter * | counter
struct government * | govern
const struct impr_type * | building
struct nation_type * | nation
struct nation_type * | nationality
struct nation_type * | origowner
struct specialist * | specialist
struct terrain * | terrain
struct unit_class * | uclass
const struct unit_type * | utype
struct extra_type * | extra
struct achievement * | achievement
struct nation_group * | nationgroup
struct nation_style * | style
struct action * | action
struct goods_type * | good
enum ai_level | ai_level
enum citytile_type | citytile
enum citystatus_type | citystatus
enum plrstate_type | plrstate
int | minsize
int | minculture
int | minforeignpct
int | minyear
int | mincalfrag
Output_type_id | outputtype
int | terrainclass
int | terrainalter
int | unitclassflag
int | unitflag
int | terrainflag
int | techflag
int | roadflag
int | extraflag
int | diplrel
enum ustate_prop | unit_state
enum unit_activity | activity
enum impr_genus_id | impr_genus
enum impr_flag_id | impr_flag
enum plr_flag_id | plr_flag
int | minmoves
int | max_tile_units
int | minveteran
int | min_hit_points
int | age
int | form_age
int | min_techs
int | min_cities
int | latitude
enum topo_flag | topo_property
enum wrap_flag | wrap_property
ssetv | ssetval

## Detailed Description

Definition at line 687 of file fc_types.h.

## Field Documentation

## ◆ achievement

struct achievement* universals_u::achievement

Definition at line 700 of file fc_types.h.

Referenced by tab_achievement::edit_effects(), is_achievement_needed(), is_achievement_req_active(), universal_kind_values(), and universal_value_initial().

## ◆ action

struct action* universals_u::action

Definition at line 703 of file fc_types.h.

Referenced by is_action_req_active(), universal_by_number(), universal_kind_values(), and universal_value_initial().

## ◆ activity

enum unit_activity universals_u::activity

Definition at line 727 of file fc_types.h.

Referenced by is_activity_req_active(), universal_by_number(), universal_is_legal_in_requirement(), universal_kind_values(), and universal_value_initial().

## ◆ advance

struct advance* universals_u::advance

Definition at line 688 of file fc_types.h.

Referenced by req_edit::clear_selected(), tab_tech::edit_effects(), is_tech_needed(), is_tech_req_active(), universal_kind_values(), and universal_value_initial().

## ◆ age

int universals_u::age

Definition at line 735 of file fc_types.h.

Referenced by is_age_req_active(), tri_req_active_turns(), universal_by_number(), and universal_value_initial().

## ◆ ai_level

enum ai_level universals_u::ai_level

Definition at line 706 of file fc_types.h.

Referenced by is_ai_req_active(), universal_by_number(), universal_kind_values(), and universal_value_initial().

## ◆ building

const struct impr_type* universals_u::building

Definition at line 691 of file fc_types.h.

Referenced by add_target_to_worklist(), adjust_ai_unit_choice(), adjust_improvement_wants_by_effects(), adv_choice_rule_name(), advisor_choose_build(), building_advisor(), building_advisor_choose(), can_city_build_direct(), can_city_build_later(), can_city_build_now(), can_city_sell_universal(), cell_render_func(), change_build_target(), choose_build_target(), cid_decode(), cid_encode(), city_build_building(), city_building_present(), city_can_buy(), city_change_production_penalty(), city_choose_build_default(), city_dialog_update_building(), city_dialog_update_improvement_list(), city_increase_size(), city_production_buy_gold_cost(), city_production_gets_caravan_shields(), city_production_has_flag(), city_production_is_genus(), city_production_name_translation(), city_select_building_callback(), city_select_building_callback(), city_turn_notify(), city_turns_to_build(), city_worklist_commit(), cityrep_buy(), client_change_all(), clipboard_paste_production(), collect_already_built_targets(), collect_buildable_targets(), collect_eventually_buildable_targets(), collect_production_targets(), dai_build_adv_override(), dai_choose_help_wonder(), city_widget::display_list_menu(), drag_begin(), economy_report_command_callback(), economy_report_selection_callback(), tab_building::edit_effects(), get_city_dialog_production_full(), get_city_dialog_production_row(), get_current_construction_bonus(), get_prod_complete_string(), get_production_name(), get_target_help_data(), get_tooltip(), help_callback(), help_type_by_requirement(), is_building_needed(), is_building_req_active(), is_req_knowable(), is_req_preventing(), is_req_unchanging(), military_advisor_choose_build(), name_and_sort_items(), city_production_delegate::paint(), production_help(), real_city_report_dialog_update_city(), really_handle_city_buy(), redraw_city_dialog(), city_widget::select_building_something(), select_impr_or_unit_callback(), select_impr_or_unit_callback(), eco_report::selection_changed(), eco_report::sell_buildings(), eco_report::sell_redundant(), set_global_worklist(), progress_bar::set_pixmap(), sg_load_player_city(), should_force_recalc(), tactical_req_cb(), target_get_section(), unchanging_building(), universal_build_shield_cost(), universal_kind_values(), universal_value_initial(), city_dialog::update_improvements(), upgrade_building_prod(), wl_help_from_iter(), wonder_benefit(), worklist_change_build_target(), worklist_item_postpone_req_vec(), and worklist_peek_ith().

## ◆ citystatus

enum citystatus_type universals_u::citystatus

Definition at line 708 of file fc_types.h.

Referenced by is_citystatus_req_active(), tactical_req_cb(), unchanging_citystatus(), universal_by_number(), universal_kind_values(), and universal_value_initial().

## ◆ citytile

enum citytile_type universals_u::citytile

Definition at line 707 of file fc_types.h.

Referenced by are_requirements_contradictions(), is_citytile_req_active(), is_req_knowable(), tgt_citytile_act_cache_set(), unchanging_citytile(), universal_by_number(), universal_kind_values(), universal_value_initial(), and utype_may_act_tgt_city_tile().

## ◆ counter

struct counter* universals_u::counter

Definition at line 689 of file fc_types.h.

Referenced by tab_counter::edit_effects(), is_counter_needed(), is_counter_req_active(), universal_by_number(), universal_kind_values(), and universal_value_initial().

## ◆ diplrel

int universals_u::diplrel

Definition at line 724 of file fc_types.h.

Referenced by are_requirements_contradictions(), diplrel_req_contradicts(), is_diplrel_req_active(), is_diplrel_tile_o_req_active(), is_diplrel_tile_req_active(), is_diplrel_unitany_o_req_active(), is_diplrel_unitany_req_active(), local_dipl_rel_action_cache_set(), local_dipl_rel_tile_other_tgt_action_cache_set(), req_from_str(), universal_kind_values(), and universal_value_initial().

## ◆ extra

struct extra_type* universals_u::extra

Definition at line 699 of file fc_types.h.

Referenced by tab_extras::edit_effects(), is_extra_needed(), is_extra_req_active(), universal_by_number(), universal_kind_values(), and universal_value_initial().

## ◆ extraflag

int universals_u::extraflag

Definition at line 723 of file fc_types.h.

Referenced by is_extraflag_req_active(), universal_by_number(), universal_kind_values(), and universal_value_initial().

## ◆ form_age

int universals_u::form_age

Definition at line 736 of file fc_types.h.

Referenced by is_form_age_req_active(), tri_req_active_turns(), universal_by_number(), and universal_value_initial().

## ◆ good

struct goods_type* universals_u::good

Definition at line 704 of file fc_types.h.

Referenced by tab_good::edit_effects(), is_good_needed(), is_good_req_active(), universal_kind_values(), and universal_value_initial().

## ◆ govern

struct government* universals_u::govern

Definition at line 690 of file fc_types.h.

Referenced by tab_gov::edit_effects(), is_gov_req_active(), is_government_needed(), universal_by_number(), universal_kind_values(), and universal_value_initial().

## ◆ impr_flag

enum impr_flag_id universals_u::impr_flag

Definition at line 729 of file fc_types.h.

Referenced by effect_req_append(), is_buildingflag_req_active(), universal_by_number(), universal_kind_values(), and universal_value_initial().

## ◆ impr_genus

enum impr_genus_id universals_u::impr_genus

Definition at line 728 of file fc_types.h.

Referenced by is_buildinggenus_req_active(), universal_kind_values(), and universal_value_initial().

## ◆ latitude

int universals_u::latitude

Definition at line 739 of file fc_types.h.

Referenced by is_latitude_req_active(), and universal_value_initial().

## ◆ max_tile_units

int universals_u::max_tile_units

Definition at line 732 of file fc_types.h.

Referenced by is_maxunitsontile_req_active(), universal_by_number(), and universal_value_initial().

## ◆ min_cities

int universals_u::min_cities

Definition at line 738 of file fc_types.h.

Referenced by is_mincities_req_active(), universal_by_number(), and universal_value_initial().

## ◆ min_hit_points

int universals_u::min_hit_points

Definition at line 734 of file fc_types.h.

Referenced by is_minhitpoints_req_active(), universal_by_number(), and universal_value_initial().

## ◆ min_techs

int universals_u::min_techs

Definition at line 737 of file fc_types.h.

Referenced by is_mintechs_req_active(), universal_by_number(), and universal_value_initial().

## ◆ mincalfrag

int universals_u::mincalfrag

Definition at line 714 of file fc_types.h.

Referenced by is_mincalfrag_req_active(), tri_req_active_turns(), universal_by_number(), and universal_value_initial().

## ◆ minculture

int universals_u::minculture

Definition at line 711 of file fc_types.h.

Referenced by is_minculture_req_active(), universal_by_number(), and universal_value_initial().

## ◆ minforeignpct

int universals_u::minforeignpct

Definition at line 712 of file fc_types.h.

Referenced by is_minforeignpct_req_active(), universal_by_number(), and universal_value_initial().

## ◆ minmoves

int universals_u::minmoves

Definition at line 731 of file fc_types.h.

Referenced by are_requirements_contradictions(), is_minmovefrags_req_active(), universal_by_number(), and universal_value_initial().

## ◆ minsize

int universals_u::minsize

Definition at line 710 of file fc_types.h.

Referenced by is_minsize_req_active(), and universal_value_initial().

## ◆ minveteran

int universals_u::minveteran

Definition at line 733 of file fc_types.h.

Referenced by is_minveteran_req_active(), universal_by_number(), and universal_value_initial().

## ◆ minyear

int universals_u::minyear

Definition at line 713 of file fc_types.h.

Referenced by is_minyear_req_active(), tri_req_active_turns(), universal_by_number(), and universal_value_initial().

## ◆ nation

struct nation_type* universals_u::nation

Definition at line 692 of file fc_types.h.

Referenced by is_nation_req_active(), universal_by_number(), universal_kind_values(), and universal_value_initial().

## ◆ nationality

struct nation_type* universals_u::nationality

Definition at line 693 of file fc_types.h.

Referenced by is_nationality_req_active(), universal_by_number(), universal_kind_values(), and universal_value_initial().

## ◆ nationgroup

struct nation_group* universals_u::nationgroup

Definition at line 701 of file fc_types.h.

Referenced by is_nationgroup_req_active(), universal_kind_values(), and universal_value_initial().

## ◆ origowner

struct nation_type* universals_u::origowner

Definition at line 694 of file fc_types.h.

Referenced by is_originalowner_req_active(), universal_kind_values(), and universal_value_initial().

## ◆ outputtype

Output_type_id universals_u::outputtype

Definition at line 715 of file fc_types.h.

Referenced by is_outputtype_req_active(), universal_kind_values(), and universal_value_initial().

## ◆ plr_flag

enum plr_flag_id universals_u::plr_flag

Definition at line 730 of file fc_types.h.

Referenced by is_plr_flag_req_active(), universal_by_number(), universal_kind_values(), and universal_value_initial().

## ◆ plrstate

enum plrstate_type universals_u::plrstate

Definition at line 709 of file fc_types.h.

Referenced by is_plr_state_req_active(), universal_by_number(), universal_kind_values(), and universal_value_initial().

## ◆ roadflag

int universals_u::roadflag

Definition at line 722 of file fc_types.h.

Referenced by is_roadflag_req_active(), universal_by_number(), universal_kind_values(), and universal_value_initial().

## ◆ specialist

struct specialist* universals_u::specialist

Definition at line 695 of file fc_types.h.

Referenced by is_specialist_req_active(), universal_by_number(), universal_kind_values(), and universal_value_initial().

## ◆ ssetval

ssetv universals_u::ssetval

Definition at line 743 of file fc_types.h.

Referenced by is_serversetting_req_active(), universal_by_number(), universal_kind_values(), and universal_value_initial().

## ◆ style

struct nation_style* universals_u::style

Definition at line 702 of file fc_types.h.

Referenced by is_style_req_active(), universal_kind_values(), and universal_value_initial().

## ◆ techflag

int universals_u::techflag

Definition at line 721 of file fc_types.h.

Referenced by is_techflag_req_active(), universal_kind_values(), and universal_value_initial().

## ◆ terrain

struct terrain* universals_u::terrain

Definition at line 696 of file fc_types.h.

Referenced by tab_terrains::edit_effects(), is_terrain_needed(), is_terrain_req_active(), universal_kind_values(), and universal_value_initial().

## ◆ terrainalter

int universals_u::terrainalter

Definition at line 717 of file fc_types.h.

Referenced by is_terrainalter_req_active(), universal_by_number(), universal_kind_values(), and universal_value_initial().

## ◆ terrainclass

int universals_u::terrainclass

Definition at line 716 of file fc_types.h.

Referenced by is_terrainclass_req_active(), universal_by_number(), universal_kind_values(), and universal_value_initial().

## ◆ terrainflag

int universals_u::terrainflag

Definition at line 720 of file fc_types.h.

Referenced by is_terrainflag_req_active(), universal_kind_values(), and universal_value_initial().

## ◆ topo_property

enum topo_flag universals_u::topo_property

Definition at line 741 of file fc_types.h.

Referenced by is_topology_req_active(), universal_by_number(), universal_kind_values(), and universal_value_initial().

## ◆ uclass

struct unit_class* universals_u::uclass

Definition at line 697 of file fc_types.h.

Referenced by is_unitclass_req_active(), universal_by_number(), universal_kind_values(), and universal_value_initial().

## ◆ unit_state

enum ustate_prop universals_u::unit_state

Definition at line 726 of file fc_types.h.

Referenced by is_req_knowable(), is_unitstate_req_active(), unit_state_action_cache_set(), universal_by_number(), universal_kind_values(), and universal_value_initial().

## ◆ unitclassflag

int universals_u::unitclassflag

Definition at line 718 of file fc_types.h.

Referenced by is_unitclassflag_req_active(), universal_kind_values(), and universal_value_initial().

## ◆ unitflag

int universals_u::unitflag

Definition at line 719 of file fc_types.h.

Referenced by is_unitflag_req_active(), universal_kind_values(), and universal_value_initial().

## ◆ utype

const struct unit_type* universals_u::utype

Definition at line 698 of file fc_types.h.

Referenced by add_target_to_worklist(), adjust_ai_unit_choice(), adv_choice_rule_name(), adv_init_choice(), can_city_build_direct(), can_city_build_later(), can_city_build_now(), cell_render_func(), choose_build_target(), cid_decode(), cid_encode(), city_build_unit(), city_choose_build_default(), city_dialog_update_building(), city_production_build_units(), city_production_buy_gold_cost(), city_production_gets_caravan_shields(), city_unit_present(), city_unit_supported(), client_change_all(), clipboard_copy_production(), collect_buildable_targets(), collect_eventually_buildable_targets(), dai_barbarian_choose_build(), dai_choose_attacker_air(), dai_choose_diplomat_defensive(), dai_choose_diplomat_offensive(), dai_choose_help_wonder(), dai_choose_paratrooper(), dai_choose_role_unit(), dai_choose_trade_route(), dai_hunter_missile_want(), dai_process_defender_want(), dai_unit_consider_bodyguard(), disband_city(), eco_report::disband_units(), domestic_advisor_choose_build(), drag_begin(), economy_report_command_callback(), tab_unit::edit_effects(), eval_hunter_want(), get_city_dialog_production_row(), get_production_name(), get_target_help_data(), get_tooltip(), help_callback(), is_unittype_req_active(), is_utype_needed(), kill_something_with(), military_advisor_choose_build(), name_and_sort_items(), city_production_delegate::paint(), production_help(), real_city_report_dialog_update_city(), really_handle_city_buy(), redraw_city_dialog(), send_rally_tile(), set_global_worklist(), progress_bar::set_pixmap(), target_get_section(), universal_build_shield_cost(), universal_kind_values(), universal_value_initial(), city_dialog::update_improvements(), upgrade_canvas_clipboard(), upgrade_unit_prod(), wl_help_from_iter(), worklist_change_build_target(), and worklist_item_postpone_req_vec().

## ◆ wrap_property

enum wrap_flag universals_u::wrap_property

Definition at line 742 of file fc_types.h.

Referenced by is_wrap_req_active(), universal_by_number(), universal_kind_values(), and universal_value_initial().